/**
 * KVM App
 * Defined an App to manage KVM
 */
var VmdashboardApp = VmdashboardApp || {}; //Define KVM App namespace.
/**
 * Constructor UNAS App
 */
VmdashboardApp.App = function() {
  this.id = 'VM Manager';
  this.name = 'VM Manager';
  this.version = '6.1.27';
  this.active = false;
  this.menuIcon = '/apps/vmdashboard/images/logo.png?v=6.1.27&';
  this.shortcutIcon = '/apps/vmdashboard/images/logo.png?v=6.1.27&';
  this.entryUrl = "/apps/vmdashboard/index.html?v=6.1.27"
  var self = this;
  this.VmdashboardAppWindow = function() {
    if (UNAS.CheckAppState('vmdashboard')) {
      return false;
    }
    var is_mobile = function() {
      if (/AppleWebKit.*Mobile/i.test(navigator.userAgent) ||
        /iPhone/i.test(navigator.userAgent) ||
        /Android/i.test(navigator.userAgent) ||
        /BlackBerry/i.test(navigator.userAgent) ||
        /IEMobile/i.test(navigator.userAgent) ||
        (/MIDP|SymbianOS|NOKIA|SAMSUNG|LG|NEC|TCL|Alcatel|BIRD|DBTEL|Dopod|PHILIPS|HAIER|LENOVO|MOT-|Nokia|SonyEricsson|SIE-|Amoi|ZTE/.test(navigator.userAgent))) {
        return true;
      } else {
        return false;
      }
    }

    var contentURL = '/apps/vmdashboard/index.html?v=6.1.27';
    var css = ['/apps/vmdashboard/css/vmd.css?v=6.1.27',
      '/apps/vmdashboard/css/vmd_public.css?v=6.1.27'
    ]
    var width = 1200;
    var height = 650;

    if (is_mobile()) {
      contentURL = '/apps/vmdashboard/m/index.html?v=6.1.27';
      css = ['/apps/vmdashboard/m/css/vmd.css?v=6.1.27',
        '/apps/vmdashboard/m/css/vmd_public.css?v=6.1.27'
      ]
      width = getClientWH_NAS().w;
      height = getClientWH_NAS().h;
    }

    self.window = new MUI.Window({
      id: 'VmdashboardAppWindow',
      title: UNAS._('VM Manager'),
      icon: '/apps/vmdashboard/images/logo_small.png?v=6.1.27&',
      width: width,
      height: height,
      maximizable: false,
      resizable: true,
      scrollbars: false,
      resizeLimit: {
        'x': [1100, 2000],
        'y': [500, 1500]
      },
      contentURL: contentURL,
      require: {
        css: css
      },
      onBeforeBuild: function() {
        UNAS.SetAppOpenedWindow("vmdashboard", 'VmdashboardAppWindow')
      }
    });
  };
  this.VmdashboardUninstall = function() {
    UNAS.RemoveDesktopShortcut('VM Manager');
    UNAS.RemoveMenu('VM Manager');
    UNAS.RemoveAppFromGroups('VM Manager', 'ControlPanel');
    UNAS.RemoveAppFromApps('VM Manager');
  };
  new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'VM Manager', '', this.VmdashboardAppWindow);
  new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'VM Manager', this.VmdashboardAppWindow);
  var OnChangeLanguage = function(e) {
    UNAS.SetMenuTitle('VM Manager', UNAS._('VM Manager')); //translate menu
    UNAS.SetShortcutTitle('VM Manager', UNAS._('VM Manager'));
    if (typeof self.window !== 'undefined') {
      UNAS.SetWindowTitle('VmdashboardAppWindow', UNAS._('VM Manager'));
    }
  };
  UNAS.LoadTranslation('/apps/vmdashboard/languages/Translation?v=' + this.version, OnChangeLanguage);
  UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
  UNAS.CreateApp(this.name, this.shortcutIcon, this.VmdashboardAppWindow, this.VmdashboardUninstall);
};

new VmdashboardApp.App();
